Subject: [manet] Independent Submission draft-schulte-amp-mesh-protocol

From: Schulte, Aljoscha Carl <[email-masked]>
Date: Mon, 17 May 2021 06:16:49 +0000

Dear members of the MANET WG,

this is my first post on an IETF mailing list.
I am not sure if my work fits this WG's scope, but I think you might be interested nonetheless.

tl;dr
I created a self-contained networking protocol, aimed at smart home devices. It is an overlay network over common communication domains, such as WLAN, ZigBee, and Bluetooth, effectively creating a MANET. I submitted it as an independent draft  and would love to hear your comments.
 You can find the draft here: https://datatracker.ietf.org/doc/draft-schulte-amp-mesh-protocol/
 Long story:
In my master's thesis, I looked into smart home protocols and platforms. The market is very fragmented, resulting in a lock-in effect for devices and customers. I analyzed their common features, created a catalog of common requirements and capabilities and set out to develop an open alternative.
The result is an Internet-Draft describing the "AMP Mesh Protocol (AMP)". It enables transparent networking across domain boundaries, using gateways. The protocol's main features are addressing and routing.
It is fully self-contained and does not rely on any IP technology. It does however build on commonly known technologies, such as AODV-like routing and IPv6 address notation.
I created the protocol with smart homes and in mind. But its principles are applicable for many site-local communication use-cases, such as smart buildings or manufacturing facilities.

Due to the nature of a thesis, I have worked on the draft on my own. I haven't had discussions on it outside of my university yet and would love to hear your thoughts. Might the draft be of interest to this, or any other, working group? Or does it have better chances as an independent submission?
I am also looking for official reviewers for the independent submission. If anyone of you is interested, feel free to contact me.

 Kind regards,
Aljoscha Schulte
 Wissenschaftlicher Mitarbeiter | Research Assistant
Technische Universität Berlin | Telekom Innovation Laboratories | Service-centric Networking (SNET)

  Ernst-Reuter-Platz 7 
10587 Berlin — Germany

  Mail: [email-masked] 
Pronouns: he/him | er/ihm